Subject: FW: New Version Notification for draft-ali-6man-spring-srv6-oam-01.txt

From: "Zafar Ali (zali)" <[email-masked]>
Date: Wed, 27 Mar 2019 20:45:31 +0000

Dear WG:

During the WG meeting on Monday and based on some f2f discussion afterwards, I noticed the need to clarify programmable In-situ OAM (IOAM) in SRv6 networks.

During the WG meeting, I highlighted that SRH TLV plays an important role in carrying OAM and Performance Management (PM) data. For example, SRH TLV piggybacks OAM information onto the data traffic (i.e., for IOAM) in SRv6 networks.

By carrying the IOAM data in SRH TLV, the mechanism takes advantage of the network programmability capability of SRv6. The ability for an intermediate SRv6 endpoint to determine whether to process or ignore some specific SRH TLVs is based on the SID function. This enables collection of the IOAM information from the intermediate endpoint nodes of choice.

If an intermediate SR segment endpoint node is not capable of processing IOAM TLV, it simply ignores it. I.e., it does not have to look for or process SRH TLV.

Thanks

Regards … Zafar

From: "[email-masked]" <[email-masked]>
Date: Wednesday, March 27, 2019 at 4:22 PM
To: "Rakesh Gandhi (rgandhi)" <[email-masked]>, "Frank Brockners (fbrockne)" <[email-masked]>, Bart Peirens <[email-masked]>, Satoru Matsushima <[email-masked]>, Robert Raszuk <[email-masked]>, "Nagendra Kumar Nainar (naikumar)" <[email-masked]>, "Zafar Ali (zali)" <[email-masked]>, John Leddy <[email-masked]>, Gaurav Dawra <[email-masked]>, "Carlos Pignataro (cpignata)" <[email-masked]>, "[email-masked]" <[email-masked]>, Mach Chen <[email-masked]>, "Clarence Filsfils (cfilsfil)" <[email-masked]>, Daniel Voyer <[email-masked]>, Cheng Li <[email-masked]>, Faisal Iqbal <[email-masked]>
Subject: New Version Notification for draft-ali-6man-spring-srv6-oam-01.txt

A new version of I-D, draft-ali-6man-spring-srv6-oam-01.txt
has been successfully submitted by Zafar Ali and posted to the
IETF repository.

Name:                  draft-ali-6man-spring-srv6-oam
Revision:              01
Title:                      Operations, Administration, and Maintenance (OAM) in Segment Routing Networks with IPv6 Data plane (SRv6)
Document date:               2019-03-27
Group:                  Individual Submission
Pages:                   25
URL:            https://www.ietf.org/internet-drafts/draft-ali-6man-spring-srv6-oam-01.txt
Status:         https://datatracker.ietf.org/doc/draft-ali-6man-spring-srv6-oam/
Htmlized:       https://tools.ietf.org/html/draft-ali-6man-spring-srv6-oam-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ali-6man-spring-srv6-oam
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ali-6man-spring-srv6-oam-01

Abstract:
    This document defines building blocks for Operations, Administration,
    and Maintenance (OAM) in Segment Routing Networks with IPv6 Dataplane
    (SRv6). The document also describes some SRv6 OAM mechanisms.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat